Skip to main content

Quarterly Point of Sale (POS) Transactions (Value)

Retrieve data for quarterly point of sale (pos) transactions (value).

GET/3.0/alternate/pos-transactions-quarterly-value

Request​

Authentication​

  • Type: Bearer Token
  • Required: Yes

Parameters​

This endpoint does not accept any query parameters.

Response​

Success Response (200)​

{
"status": "ok",
"data": [
{
"period": "Q1 2023",
"atm": 150000000000,
"debit_cards": 200000000000,
"credit_cards": 80000000000,
"prepaid_cards": 40000000000,
"socialwelfare_card": 20000000000
},
{
"period": "Q4 2022",
"atm": 145000000000,
"debit_cards": 190000000000,
"credit_cards": 75000000000,
"prepaid_cards": 38000000000,
"socialwelfare_card": 19000000000
}
]
}

Response Fields​

FieldTypeDescription
periodstringPeriod identifier (e.g., "Q1 2023")
atmnumericATM's
debit_cardsnumericDebit Card
credit_cardsnumericCredit Cards
prepaid_cardsnumericPre-paid Cards
socialwelfare_cardnumericSocial Welfare Card

Error Responses​

For detailed Common Error responses, see the Error Handling.

Examples​

GET Quarterly Point of Sale (POS) Transactions (Value)​

curl -X GET "https://csapis.com/3.0/alternate/pos-transactions-quarterly-value" -H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases​

  • Data analysis
  • Dashboard / metrics